package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.OrderSoundLog;

/**
 * 录音临时文件Service接口
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
public interface IOrderSoundLogService 
{
    /**
     * 查询录音临时文件
     * 
     * @param id 录音临时文件主键
     * @return 录音临时文件
     */
    public OrderSoundLog selectOrderSoundLogById(Integer id);


    public int selectCountOrderSoundLogByoId(Long id);
    /**
     * 查询录音临时文件列表
     * 
     * @param orderSoundLog 录音临时文件
     * @return 录音临时文件集合
     */
    public List<OrderSoundLog> selectOrderSoundLogList(OrderSoundLog orderSoundLog);

    /**
     * 新增录音临时文件
     * 
     * @param orderSoundLog 录音临时文件
     * @return 结果
     */
    public int insertOrderSoundLog(OrderSoundLog orderSoundLog);

    /**
     * 修改录音临时文件
     * 
     * @param orderSoundLog 录音临时文件
     * @return 结果
     */
    public int updateOrderSoundLog(OrderSoundLog orderSoundLog);

    /**
     * 批量删除录音临时文件
     * 
     * @param ids 需要删除的录音临时文件主键集合
     * @return 结果
     */
    public int deleteOrderSoundLogByIds(Integer[] ids);

    /**
     * 删除录音临时文件信息
     * 
     * @param id 录音临时文件主键
     * @return 结果
     */
    public int deleteOrderSoundLogById(Integer id);
}
